httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rasmus Lerdorf <ras...@apache.org>
Subject Re: [users@httpd] Apache 2.0.42 and mod_php
Date Thu, 03 Oct 2002 15:54:25 GMT
A lot of common libraries that people typically use with PHP are simply
not threadsafe, so if you run any of the threaded modules, expect
problems.  This is not specifically a PHP issue.

If you stick with the prefork mpm you should have better luck, but since
the gain from going from Apache1 to Apache2-prefork is minimal, nobody has
been all that motivated to go through and make sure it works reliably.
Things should be a bit better in PHP 4.3, but it still hasn't received the
testing and high-traffic production use that Apache 1.3.x/PHP has.

-Rasmus


On Thu, 3 Oct 2002, [ISO-8859-15] Jochen Kächelin wrote:

> When  I  compile  PHP  4.2.3  as module I get the message, that it's
> still experimental with Apache 2.0.x and it's not recommended for
> production use.
>
> Can  somebody  tell  me  where exectly the problems are?! What's not
> working well?
>
> Thankx.
>
> --
> Jochen Kaechelin
>
>
> ---------------------------------------------------------------------
> The official User-To-User support forum of the Apache HTTP Server Project.
> See <URL:http://httpd.apache.org/userslist.html> for more info.
> To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
>    "   from the digest: users-digest-unsubscribe@httpd.apache.org
> For additional commands, e-mail: users-help@httpd.apache.org
>


---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message